Subject: Re: rotd09-25, cygwin beta18
From: [email-masked] (Fergus Henderson)

11 Oct 1998 11:01:26 -0700
Message-ID: <[email-masked]>
References: <006301bdf4f8$f5dcd8c0$c0c0c0c0@ddwhomepc>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Dominique de Waleffe <[email-masked]>
Cc: [email-masked], Cygnus GNU-win32 mailing list <[email-masked]>

On 11-Oct-1998, Dominique de Waleffe <[email-masked]> wrote:
> [...] I did an install with a --prefix=//h/m on my home pc.
> 
> I then tried to compile an example using the odbc package.
> It could not find the mercury_imp.h file even though gcc
> received -I//h/m/lib/mercury/inc as argument....
>
> The file was at its expected place. when I mounted h:/m as /mercury
> and temporarily patched the mgnuc script, I was able to compile the
> file. Could it be that b18 gcc does not fully handle the //drive/dir
> notation?

Yes, I believe that gcc assumes Unix file naming semantics, where
`//' is the same as `/'.  

Could anyone on the gnu-win32 mailing list confirm that this is the
case?  Also, does anyone know if this is fixed in b19, or whether
it will be fixed in b20?

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".